%define anolis_release 9

Name:           perl-Text-Unidecode
Version:        1.30
Release:        %{anolis_release}%{?dist}
Summary:        US-ASCII transliterations of Unicode text
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Text-Unidecode
Source0:        https://cpan.metacpan.org/modules/by-module/Text/Text-Unidecode-%{version}.tar.gz

BuildArch:      noarch

# Build
BuildRequires:  make
BuildRequires:  perl-generators perl-interpreter perl(ExtUtils::MakeMaker) >= 6.76
# Runtime
BuildRequires:  perl(warnings) perl(vars) perl(integer) perl(utf8) perl(strict) perl(Exporter)
# Tests only
BuildRequires:  perl(Text::Wrap) perl(Test)

%description

It often happens that you have non-Roman text data in Unicode, but
you can't display it -- usually because you're trying to show it
to a user via an application that doesn't support Unicode, or
because the fonts you need aren't accessible. You could represent
the Unicode characters as "???????" or "\15BA\15A0\1610...", but
that's nearly useless to the user who actually wants to read what
the text says.

What Text::Unidecode provides is a function, `unidecode(...)' that
takes Unicode data and tries to represent it in US-ASCII
characters (i.e., the universally displayable characters between
0x00 and 0x7F). The representation is almost always an attempt at
*transliteration* -- i.e., conveying, in Roman letters, the
pronunciation expressed by the text in some other writing
system. (See the example in the synopsis.)

%package doc
Summary:    Documentation files for %{name}
Requires:   %{name} = %{version}-%{release}
BuildArch:  noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n Text-Unidecode-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%{perl_vendorlib}/Text/Unidecode.pm
%{perl_vendorlib}/Text/Unidecode/*
%{_mandir}/man3/*.3*

%files doc
%doc README TODO.txt ChangeLog

%changelog
* Tue Apr 11 2023 Guyu Wang <guyu.wgy@linux.alibaba.com> - 1.30-9
- optimise spec file

* Fri Feb 03 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.30-8
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.30-7
- rebuild with perl 5.36.0

* Tue Jan 17 2023 Funda Wang <fundawang@yeah.net> - 1.30-6
- Import package for anolis 23
